Bug 532668 - procps/top SWAP statistics makes no sense
procps/top SWAP statistics makes no sense
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: procps (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Jaromír Cápík
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 709684
  Show dependency treegraph
 
Reported: 2009-11-03 07:21 EST by Artem S. Tashkinov
Modified: 2016-01-31 20:54 EST (History)
4 users (show)

See Also:
Fixed In Version: procps-3.2.8-21.20110302git.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 709684 (view as bug list)
Environment:
Last Closed: 2011-06-10 09:27:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
top swap values with no swap (4.00 KB, image/png)
2011-05-12 05:47 EDT, Artem S. Tashkinov
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Linux Kernel 14532 None None None Never

  None (edit)
Description Artem S. Tashkinov 2009-11-03 07:21:37 EST
Description of problem: top shows wrong values for the SWAP field of runnings processes.

Version-Release number of selected component (if applicable): procps-3.2.7-27

How reproducible: always.

Steps to Reproduce: run top, press 'f', press 'p' (show SWAP column).
  
Actual results: senseless SWAP values for running processes.

Expected results: real SWAP values or disable SWAP column altogether as it makes no sense.

Additional info: consult with http://bugzilla.kernel.org/show_bug.cgi?id=14532 for more details.
Comment 1 Bug Zapper 2009-11-16 09:58:54 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Artem S. Tashkinov 2009-11-16 10:24:44 EST
This is definitely `top` bug: http://bugzilla.kernel.org/show_bug.cgi?id=14532#c5

I have notified procps maintainer however I'm not sure if he fixes this bug in the nearest future, as procps development has stalled ostensibly.
Comment 3 Fedora Admin XMLRPC Client 2010-05-20 08:30:19 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Bug Zapper 2010-11-04 02:50:52 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Artem S. Tashkinov 2010-11-26 07:57:52 EST
Bump!
Comment 6 Fedora Admin XMLRPC Client 2011-05-12 04:56:28 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Artem S. Tashkinov 2011-05-12 05:47:42 EDT
Created attachment 498494 [details]
top swap values with no swap

With SWAP disabled, it looks even funnier.
Comment 8 masanari iida 2011-05-25 05:47:51 EDT
Hello
There is one test patch for procps support swap field, created by Mr. Kosaki.
Can you test following patch and evaluate with kernel 2.6.34 or better?
https://github.com/kosaki/procps/commit/8a3d0d4e117efeec869d3d450f749a61cb8b0237
Comment 9 Jan Görig 2011-05-26 08:43:32 EDT
Similar patch for readproc was added by upstream a year ago [1].
Fedora 15 has already this version of readproc but the top interface wasn't updated. I have done some little tests and output seems to be ok, so I am going to release update for F15 next week.

[1] https://gitorious.org/procps/procps/commit/5f570a84f186ca5924be0722ba0956d5fef0b04a
Comment 10 masanari iida 2011-05-26 11:08:39 EDT
Thanks for the investigation.
I will check the procps update on F15.
In the mean time, I would expect to see this modification on RHEL6.2,
because this feature is very useful for enterprise users.
if you ask me to open another BZ for RHEL6, let me know.
Comment 11 Fedora Update System 2011-06-02 07:10:32 EDT
procps-3.2.8-21.20110302git.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/procps-3.2.8-21.20110302git.fc15
Comment 12 masanari iida 2011-06-02 12:04:03 EDT
Download the beta RPM from koji and tested on my F15(64bit) box 
(limited the memory size to 1GB and run multiple guest OSes.)
The beta RPM works as expected.  Thank you.

top - 00:56:33 up 12 min,  1 user,  load average: 0.10, 0.55, 0.59
Tasks: 118 total,   1 running, 117 sleeping,   0 stopped,   0 zombie
Cpu(s):  0.1%us,  0.1%sy,  0.0%ni, 99.9%id,  0.0%wa,  0.0%hi,  0.0%si,  0.0%st
Mem:   1023156k total,   561556k used,   461600k free,     2348k buffers
Swap: 10289620k total,   449528k used,  9840092k free,    31716k cached

  PID USER      PR  NI  VIRT  RES  SHR S %CPU %MEM    TIME+  SWAP COMMAND       
 1244 qemu      20   0 1495m 119m 1096 S  0.3 12.0   0:12.46 259m qemu-kvm      
 1565 qemu      20   0 1345m 249m 1008 S  0.0 24.9   0:25.56 122m qemu-kvm      
    1 root      20   0 55776 1432  948 S  0.0  0.1   0:01.79  20m systemd    

[root@bert ~]# grep VmSwap /proc/1244/status
VmSwap:	  259736 kB
[root@bert ~]# grep VmSwap /proc/1565/status
VmSwap:	  123380 kB
[root@bert ~]# grep VmSwap /proc/1/status
VmSwap:	   20888 kB
Comment 13 Fedora Update System 2011-06-03 01:34:57 EDT
Package procps-3.2.8-21.20110302git.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing procps-3.2.8-21.20110302git.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/procps-3.2.8-21.20110302git.fc15
then log in and leave karma (feedback).
Comment 14 Fedora Update System 2011-06-10 09:27:26 EDT
procps-3.2.8-21.20110302git.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.